Combine pages and collections lists so that we can find things easier

Bug #1667181 reported by Robert Lyon on 2017-02-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Robert Lyon

Bug Description

Currently we have a view under Portfolio -> Pages that shows us a list of the pages we own

We also have a view under Portfolio -> Collections that shows us a list of collections we have.

It would be better to combine these lists so that we can finds things easier and also only show those pages outside collections as 'solo' pages.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7481

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7483

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7482

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7484

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7485

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7518

Initial mock-ups are at https://wiki.mahara.org/wiki/Developer_Area/Specifications_in_Development/Combine_pages_and_collections

We evolved the design side a bit and made some changes, but the general ideas are still the same.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7536

Reviewed: https://reviews.mahara.org/7484
Committed: https://git.mahara.org/mahara/mahara/commit/fc1ed3bbe2b1c4e7f7353f57bbf652d37068485e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit fc1ed3bbe2b1c4e7f7353f57bbf652d37068485e
Author: Robert Lyon <email address hidden>
Date: Thu Feb 23 17:43:45 2017 +1300

Bug 1667181: Removing not needed collection views

behatnotneeded - existing tests will suffice

Change-Id: I443bae960a4aded53672ea235c2c3fb61d08ce23

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7482
Committed: https://git.mahara.org/mahara/mahara/commit/8ddfdb5142fc2402e5959b375d433bd39774134e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8ddfdb5142fc2402e5959b375d433bd39774134e
Author: Robert Lyon <email address hidden>
Date: Thu Feb 23 17:41:57 2017 +1300

Bug 1667181: Change the add/copy buttons

Change-Id: I530493857423fab31f7204acb08e6b8db44fadb2

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7536
Committed: https://git.mahara.org/mahara/mahara/commit/18da862bc50775431d1a4c948d08e8e3ae7f5556
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 18da862bc50775431d1a4c948d08e8e3ae7f5556
Author: Robert Lyon <email address hidden>
Date: Fri Mar 17 09:33:06 2017 +1300

Bug 1667181: Collection mtime not updated when add/remove pages

behatnotneeded

Change-Id: I788f932f721b070f188d97891ab21f0f5f77811b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7483
Committed: https://git.mahara.org/mahara/mahara/commit/0779f98ad3d5c20b7915186aecec73a20273f707
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 0779f98ad3d5c20b7915186aecec73a20273f707
Author: Robert Lyon <email address hidden>
Date: Thu Feb 23 17:42:45 2017 +1300

Bug 1667181: Alter the search box options

Add in the new search by and order options

Change-Id: If0ab8397793a3aad3df4d7fa4e4a69ccd4b908b9

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7481
Committed: https://git.mahara.org/mahara/mahara/commit/a902cc4eba207994df6de08295906b845a0452d5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit a902cc4eba207994df6de08295906b845a0452d5
Author: Robert Lyon <email address hidden>
Date: Thu Feb 23 17:37:56 2017 +1300

Bug 1667181: Adding in new layout and 'show more' pagination

Change-Id: I7081b319ff410aceeae01eb9d9f83fba95e99638

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7518
Committed: https://git.mahara.org/mahara/mahara/commit/323f935b7d87a0885924674c839a702513a5b78d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 323f935b7d87a0885924674c839a702513a5b78d
Author: Robert Lyon <email address hidden>
Date: Mon Mar 20 09:45:51 2017 +1300

Bug 1667181 theming

Theming for new pages and collections list layout

behatnotneeded: design changes only

Change-Id: I640c26c1aad319f38351ac8c2096408a28b0a73d

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7480
Committed: https://git.mahara.org/mahara/mahara/commit/56c7f9113d078925c887b476a9f9e66e59278952
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 56c7f9113d078925c887b476a9f9e66e59278952
Author: Robert Lyon <email address hidden>
Date: Thu Feb 23 18:04:11 2017 +1300

Bug 1667181: Changing the navigation to Pages and collections

Change-Id: Ib68c1b57bf8910702678b43b4499456ed88b53dc

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7523
Committed: https://git.mahara.org/mahara/mahara/commit/ad3e71a3c4e8083eeeaf30b3b944783856c7f7e0
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ad3e71a3c4e8083eeeaf30b3b944783856c7f7e0
Author: Evonne Cheung <email address hidden>
Date: Thu Mar 16 10:13:33 2017 +1300

Bug 1667181: Altering add page/collection buttons in modal

Also fix a few colours

behatnotneeded

Change-Id: Ibd24fa22d60392f48b5c3bdaaf797a4924aee924
Signed-off-by: Evonne Cheung <email address hidden>

Robert Lyon (robertl-9) on 2017-03-20
Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers